Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.lucene.benchmark.byTask.tasks
Class ReadTokensTask

    java.lang.Object
      org.apache.lucene.benchmark.byTask.tasks.PerfTask
          org.apache.lucene.benchmark.byTask.tasks.ReadTokensTask

All Implemented Interfaces:
  Cloneable

    public class ReadTokensTask

extends PerfTask

Simple task to test performance of tokenizers. It just creates a token stream for each field of the document and read all tokens out of that stream.
Relevant properties: `doc.tokenize.log.step`.

Field Summary
`static int` | `DEFAULT_DOC_LOG_STEP` Default value for property `doc.tokenize.log.step`- indicating how often an "added N docs / M tokens" message should be logged.``

Fields inherited from class org.apache.lucene.benchmark.byTask.tasks.PerfTask
`NEW_LINE, params`

Constructor Summary
`ReadTokensTask(PerfRunData runData)`

Method Summary
`int` | `doLogic()` Perform the task once (ignoring repetions specification) Return number of work items done by this task.
`void` | `setup()` Task setup work that should not be measured for that specific task.
`void` | `tearDown()` Task tearDown work that should not be measured for that specific task.

Methods inherited from class org.apache.lucene.benchmark.byTask.tasks.PerfTask
`clone, getDepth, getName, getParams, getRunData, runAndMaybeStats, setDepth, setName, setParams, shouldNeverLogAtStart, shouldNotRecordStats, supportsParams, toString`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### DEFAULT_DOC_LOG_STEP

    public static final int DEFAULT_DOC_LOG_STEP

  Default value for property `doc.tokenize.log.step`- indicating how often an "added N docs / M tokens" message should be logged.

  See Also:
    Constant Field Values
  ``

Constructor Detail

### ReadTokensTask

    public ReadTokensTask(PerfRunData runData)

Method Detail

### setup

    public void setup()
               throws Exception

  Description copied from class: `PerfTask`
  Task setup work that should not be measured for that specific task. By default it does nothing, but tasks can implement this, moving work from doLogic() to this method. Only the work done in doLogicis measured for this task. Notice that higher level (sequence) tasks containing this task would then measure larger time than the sum of their contained tasks.

  Overrides:
    `setup` in class `PerfTask`
  Throws:
    `Exception`

### tearDown

    public void tearDown()
                  throws Exception

  Description copied from class: `PerfTask`
  Task tearDown work that should not be measured for that specific task. By default it does nothing, but tasks can implement this, moving work from doLogic() to this method. Only the work done in doLogicis measured for this task. Notice that higher level (sequence) tasks containing this task would then measure larger time than the sum of their contained tasks.

  Overrides:
    `tearDown` in class `PerfTask`
  Throws:
    `Exception`

### doLogic

    public int doLogic()
                throws Exception

  Description copied from class: `PerfTask`
  Perform the task once (ignoring repetions specification) Return number of work items done by this task. For indexing that can be number of docs added. For warming that can be number of scanned items, etc.

  Specified by:
    `doLogic` in class `PerfTask`
  Returns:
    number of work items done by this task.
  Throws:
    `Exception`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2008 Apache Software Foundation. All Rights Reserved.